summaryrefslogtreecommitdiffstats
path: root/perl/nqp/nqp.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'perl/nqp/nqp.SlackBuild')
-rw-r--r--perl/nqp/nqp.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/perl/nqp/nqp.SlackBuild b/perl/nqp/nqp.SlackBuild
index ea4def78b8..843ef60a7d 100644
--- a/perl/nqp/nqp.SlackBuild
+++ b/perl/nqp/nqp.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for nqp
-# Copyright 2020- Michel Begue <mab974@gmail.com>
+# Copyright 2020- Michel Begue <mab974@misouk.com>
# Copyright 2018-2020 Andreas Voegele <andreas@andreasvoegele.com>
#
# Permission to use, copy, modify, and distribute this software for any
@@ -20,7 +20,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=nqp
-VERSION=${VERSION:-2021.03}
+VERSION=${VERSION:-2024.03}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -87,6 +87,9 @@ if [ "${MAKETEST:-no}" = "yes" ]; then
fi
make install DESTDIR=$PKG
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
CREDITS LICENSE \